Subject: Re: RFC: git bisect should accept "paths-to-be-excluded"

From: Matthieu Moy <[email-masked]>
Date: Tue, 17 Sep 2013 10:21:59 +0200

Christian Couder <[email-masked]> writes:

> In practice though, as git bisect is a kind of binary search, if what
> you want to exclude is exclusively touched by half the commits, it
> will only add one more bisection step if you don't exclude it.

Actually, I think the same remark would apply to any other Git command
that deal with a set of revisions. If you want to review code with "git
log -p", but you don't care about a subdirectory, you may want a "git
log -p --ignore-dir foo/" or so, too.

And then, the "it's logarithmic" argument doesn't work anymore ;-).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/